<?php
/**
 * The template for displaying archive pages
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * If you'd like to further customize these archive views, you may create a
 * new template file for each one. For example, tag.php (Tag archives),
 * category.php (Category archives), author.php (Author archives), etc.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage laundryes
 * @since laundryes 1.0
 */

get_header(); ?>

	<div class="section subbanner">
		<div class="container">
			<div class="row">
				<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
					<div class="caption">
						<?php 	the_archive_title( '<h3>', '</h3>' ); ?>
						 <?php echo do_shortcode('[breadcrumb]');?>
					</div>
				</div>
			</div>
		</div>
		
	</div>

		<?php if ( have_posts() ) : ?>

			<div id="services" class="section services">
		<div class="container">
			<div class="row">
				<div class="col-sm-12 col-md-12">
					<div class="page-title">
						</div>
				</div>
			</div>
			
			
			
			<div class="row pbot-main">
			
				<div class="col-xs-12 col-md-8">
			<?php
			// Start the Loop.
			while ( have_posts() ) : the_post();

				/*
				 * Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
				get_template_part( 'inc/template-parts/content', get_post_format() );

			// End the loop.
			endwhile;

			// Previous/next page navigation.
			the_posts_pagination( array(
				'prev_text'          => esc_html__( 'Previous page', 'laundryes' ),
				'next_text'          => esc_html__( 'Next page', 'laundryes' ),
				'before_page_number' => '<span class="meta-nav screen-reader-text">' . esc_html__( 'Page', 'laundryes' ) . ' </span>',
			) );

		// If no content, include the "No posts found" template.
		else :
			get_template_part( 'inc/template-parts/content', 'none' );

		endif;
		?>

	</div>
				
				<div class="col-xs-12 col-md-4">
					<?php get_sidebar(); ?>
				</div>
			</div>
			
			
			
			
		</div>
	</div>
<?php get_footer(); ?>