<?php
/**
 * The template for displaying comments
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package WordPress
 * @subpackage laundryes
 * @since laundryes 1.0
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div class="comments-box">
						

	<?php if ( have_comments() ) : ?>
		<h4 class="title-heading">
			<?php
				$comments_number = get_comments_number();
				if ( 1 === $comments_number ) {
					/* translators: %s: post title */
					printf( _x( 'One thought on &ldquo;%s&rdquo;', 'comments title', 'laundryes' ), get_the_title() );
				} else {
					printf(
						/* translators: 1: number of comments, 2: post title */
						_nx(
							'%1$s thought on &ldquo;%2$s&rdquo;',
							'%1$s thoughts on &ldquo;%2$s&rdquo;',
							$comments_number,
							'comments title',
							'laundryes'
						),
						number_format_i18n( $comments_number ),
						get_the_title()
					);
				}
			?>
		</h2>

		<?php the_comments_navigation(); ?>


			<?php wp_list_comments(array( 'callback' => 'laundryes_comment' )); ?>
		

		<?php the_comments_navigation(); ?>

	<?php endif; // Check for have_comments(). ?>

	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'laundryes' ); ?></p>
	<?php endif; ?>

	<?php
		$req = get_option( 'require_name_email' );
		$aria_req = ( $req ? " aria-required='true'" : '' );

		//Custom Fields
		$fields =  array(
			'author'=> '<div class="col-xs-12 col-md-6 no-padding-left">
									<div class="form-group">
										<input type="text" id="name" name="name" value="" class="inputtext form-control" name="author" type="text" placeholder="' . esc_html__('Name (required)', 'laundryes') . '" size="30"' . $aria_req . ' />
									</div>
								</div>
                                ',
			
			'email' => '<div class="col-xs-12 col-md-6 no-padding-right">
									<div class="form-group">
										<input name="email" type="text"  class="inputtext form-control" type="text" placeholder="' . esc_html__('E-Mail (required)', 'laundryes') . '" size="30"' . $aria_req . ' />
									</div>
								</div>',
			
			'url' 	=> '<div class="col-xs-12 col-md-12 no-padding">
									<div class="form-group">
										<input type="text" name="url" type="text" placeholder="' . esc_html__('Website', 'laundryes') . '" size="30"  class="inputtext form-control" />
									</div>
								</div>',
		);

		//Comment Form Args
        $comments_args = array(
			'fields' => $fields,
			'title_reply'=> esc_html__('POST A REPLY', 'laundryes'),
			'comment_field' => '<div class="col-xs-12 col-md-12 no-padding">
									<div class="form-group">
										<textarea id="comment" name="comment" aria-required="true" cols="58" rows="10" tabindex="4" class="inputtext form-control" rows="6" ></textarea>
									</div>
								</div>',
			'label_submit' => esc_html__('Submit Comment','laundryes')
		);
		
		// Show Comment Form
		comment_form($comments_args); 
	?>



</div><!-- .comments-area -->
