<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package WordPress
 * @subpackage laundryes
 * @since laundryes 1.0
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> >
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
    <!-- ==============================================
	Favicons
	=============================================== -->
	<?php if(function_exists('wp_site_icon')) { wp_site_icon(); } ?> 
	<link rel="apple-touch-icon" href="images/apple-touch-icon.png">
	<link rel="apple-touch-icon" sizes="72x72" href="images/apple-touch-icon-72x72.png">
	<link rel="apple-touch-icon" sizes="114x114" href="images/apple-touch-icon-114x114.png">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div class="animationload">
		<div class="loader"></div>
	</div>
    <div class="navbar navbar-main navbar-fixed-top">
		<div class="header-top">
			<div class="container">
				<div class="row">
					<div class="col-xs-12 col-sm-7 col-md-7 col-lg-7">
						<div class="info">

							<div class="info-item">
							<?php $PhoneNo =  laundryes_option('PhoneNo');?>
							<?php if (!empty($PhoneNo)): ?>
								<span class="fa fa-phone"></span><?php esc_html_e(' Phone ','laundryes' ); ?>+<?php echo laundryes_option('PhoneNo'); ?>
							<?php endif ?>
								
							</div>
							<div class="info-item">
							<?php $Email =  laundryes_option('Email');?>
							<?php if (!empty($Email)): ?>
								<span class="fa fa-envelope-o"></span> <a href="mailto:<?php echo laundryes_option('Email'); ?>" title=""><?php esc_html_e('Email ','laundryes' ); ?> <?php echo laundryes_option('Email'); ?></a>
							<?php endif ?>
								
							</div>
							
						</div>
					</div>
					<div class="col-xs-12 col-sm-5 col-md-5 col-lg-5">
						<div class="top-sosmed pull-right">
						<?php $facebook = laundryes_option('facebook');
								$twitter = laundryes_option('twitter');
								$instagram = laundryes_option('instagram');
								$pinterest = laundryes_option('pinterest');

						 ?>
						 <?php if (!empty($facebook)): ?>
						 	<a href="<?php echo esc_url(laundryes_option('facebook')); ?>" title=""><span class="fa fa-facebook"></span></a>
						 <?php endif ?>
                        <?php if (!empty($twitter)): ?>	
							<a href="<?php echo esc_url(laundryes_option('twitter')); ?>" title=""><span class="fa fa-twitter"></span></a>
						<?php endif ?>
                        <?php if (!empty($instagram)): ?>	
							<a href="<?php echo esc_url(laundryes_option('instagram')); ?>" title=""><span class="fa fa-instagram"></span></a>
							<?php endif ?>
                        <?php if (!empty($pinterest)): ?>	
							<a href="<?php echo esc_url(laundryes_option('pinterest')); ?>" title=""><span class="fa fa-pinterest"></span></a>
						<?php endif ?>
						</div>
					</div>
					
				</div>
			</div>
		</div>
		<div class="container">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
				</button>
				<a class="navbar-brand" href="<?php echo esc_url(home_url('/')); ?>/"><?php if (null !== laundryes_url('logo')): ?>
					<img src="<?php echo esc_url(laundryes_url('logo')); ?>" alt="" />
				<?php else: ?>
					<h1 class="logo"><?php esc_html(bloginfo('name')); ?></h1>	
				<?php endif ?></a>
				
			</div>
			<div class="navbar-collapse collapse">
		    <?php 		  
			 if(has_nav_menu('primary')) {
                        wp_nav_menu( array(
							'container' =>false,
							'menu_class' => 'nav navbar-nav navbar-right',
							'echo' => true,
							'before' => '',
							'after' => '',
							'link_before' => '',
							'link_after' => '',
							'depth' => 0,
							'theme_location' => 'primary',
							'walker' => new wp_bootstrap_navwalker())
							);
                    }
                    else {
                        echo '<ul class="nav navbar-nav navbar-right"><li><a href=""><strong>'.esc_html__('NO MENU ASSIGNED','laundryes').'</strong> <span>'.esc_html__('Go To Appearance > Menus and create a Menu','laundryes').'</span></a></li></ul>';
                    }
			 ?>
 </div>
		</div>
    </div>
