<?php 
if ( ! class_exists( 'Redux' ) ) {
        return;
    }

    // This is your option name where all the Redux data is stored.
    $opt_name = "laundryes_option";

    $theme = wp_get_theme(); // For use with some settings. Not necessary.

    $args = array(
        // TYPICAL -> Change these values as you need/desire
        'opt_name'             => $opt_name,
        // This is where your data is stored in the database and also becomes your global variable name.
        'display_name'         => $theme->get( 'Name' ),
        // Name that appears at the top of your panel
        'display_version'      => $theme->get( 'Version' ),
        // Version that appears at the top of your panel
        'menu_type'            => 'menu',
        //Specify if the admin menu should appear or not. Options: menu or submenu (Under appearance only)
        'allow_sub_menu'       => true,
        // Show the sections below the admin menu item or not
        'menu_title'           => esc_html__( 'laundryes Options', 'laundryes' ),
        'page_title'           => esc_html__( 'laundryes Options', 'laundryes' ),
        // You will need to generate a Google API key to use this feature.
        // Please visit: https://developers.google.com/fonts/docs/developer_api#Auth
        'google_api_key'       => '',
        // Set it you want google fonts to update weekly. A google_api_key value is required.
        'google_update_weekly' => false,
        // Must be defined to add google fonts to the typography module
        'async_typography'     => true,
        // Use a asynchronous font on the front end or font string
        //'disable_google_fonts_link' => true,                    // Disable this in case you want to create your own google fonts loader
        'admin_bar'            => true,
        // Show the panel pages on the admin bar
        'admin_bar_icon'       => 'dashicons-portfolio',
        // Choose an icon for the admin bar menu
        'admin_bar_priority'   => 50,
        // Choose an priority for the admin bar menu
        'global_variable'      => '',
        // Set a different name for your global variable other than the opt_name
        'dev_mode'             => false,

        'forced_dev_mode_off' => true ,
        // Show the time the page took to load, etc
        'update_notice'        => true,
        // If dev_mode is enabled, will notify developer of updated versions available in the GitHub Repo
        'customizer'           => true,
        // Enable basic customizer support
        //'open_expanded'     => true,                    // Allow you to start the panel in an expanded way initially.
        //'disable_save_warn' => true,                    // Disable the save warning when a user changes a field
        // OPTIONAL -> Give you extra features
        'page_priority'        => null,
        // Order where the menu appears in the admin area. If there is any conflict, something will not show. Warning.
        'page_parent'          => 'themes.php',
        // For a full list of options, visit: http://codex.wordpress.org/Function_Reference/add_submenu_page#Parameters
        'page_permissions'     => 'manage_options',
        // Permissions needed to access the options panel.
        'menu_icon'            => '',
        // Specify a custom URL to an icon
        'last_tab'             => '',
        // Force your panel to always open to a specific tab (by id)
        'page_icon'            => 'icon-themes',
        // Icon displayed in the admin panel next to your menu_title
        'page_slug'            => '',
        // Page slug used to denote the panel, will be based off page title then menu title then opt_name if not provided
        'save_defaults'        => true,
        // On load save the defaults to DB before user clicks save or not
        'default_show'         => false,
        // If true, shows the default value next to each field that is not the default value.
        'default_mark'         => '',
        // What to print by the field's title if the value shown is default. Suggested: *
        'show_import_export'   => true,
        // Shows the Import/Export panel when not used as a field.
        // CAREFUL -> These options are for advanced use only
        'transient_time'       => 60 * MINUTE_IN_SECONDS,
        'output'               => true,
        // Global shut-off for dynamic CSS output by the framework. Will also disable google fonts output
        'output_tag'           => true,
        // Allows dynamic CSS to be generated for customizer and google fonts, but stops the dynamic CSS from going to the head
        // 'footer_credit'     => '',                   // Disable the footer credit of Redux. Please leave if you can help it.
        // FUTURE -> Not in use yet, but reserved or partially implemented. Use at your own risk.
        'database'             => '',
        // possible: options, theme_mods, theme_mods_expanded, transient. Not fully functional, warning!
        'use_cdn'              => true,
        // If you prefer not to use the CDN for Select2, Ace Editor, and others, you may download the Redux Vendor Support plugin yourself and run locally or embed it in your code.
        // HINTS
        'hints'                => array(
            'icon'          => 'el el-question-sign',
            'icon_position' => 'right',
            'icon_color'    => 'lightgray',
            'icon_size'     => 'normal',
            'tip_style'     => array(
                'color'   => 'red',
                'shadow'  => true,
                'rounded' => false,
                'style'   => '',
            ),
            'tip_position'  => array(
                'my' => 'top left',
                'at' => 'bottom right',
            ),
            'tip_effect'    => array(
                'show' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'mouseover',
                ),
                'hide' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'click mouseleave',
                ),
            ),
        )
    );

             Redux::setArgs( $opt_name, $args );
            
            // ACTUAL DECLARATION OF SECTIONS          

            Redux::setSection( $opt_name,array(
                'icon' => 'el-icon-cogs',
                'title' => esc_html__('General Settings', 'laundryes'),
                'fields' => array(	
					array(
                         'id' => 'PhoneNo',
                        'type' => 'text',
                        'title' => esc_html__('Phone No', 'laundryes'),
                        
                        'default' => '62 7144 3300'
                    ),
					array(
                         'id' => 'Email',
                        'type' => 'text',
                        'title' => esc_html__('Email', 'laundryes'),
                        
                        'default' => 'info@laundryes.com'
                    ),		
					
					array(
                         'id' => 'facebook',
                        'type' => 'text',
                        'title' => esc_html__('Facebook URL', 'laundryes'),
                        
                        'default' => ''
                    ),
					array(
                        'id' => 'twitter',
                        'type' => 'text',
                        'title' => esc_html__('Twitter URL', 'laundryes'),
                        
                        'default' => ''
                    ), 
					array(
                        'id' => 'instagram',
                        'type' => 'text',
                        'title' => esc_html__('Instagram URL', 'laundryes'),
                        
                        'default' => ''
                    ), array(
                        'id' => 'pinterest',
                        'type' => 'text',
                        'title' => esc_html__('Pinterest URL', 'laundryes'),
						
                        'default' => ''
                    ),
                )
            ));
            
            Redux::setSection( $opt_name,array(
                'icon' => ' el-icon-picture',
                'title' => esc_html__('Logo  Settings', 'laundryes'),
                'fields' => array(
					array(
                        'id' => 'logo',
                        'type' => 'media',
                        'url' => true,
                        'title' => esc_html__('Logo', 'laundryes'),
                        'compiler' => 'true',
                        //'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
                        'desc' => esc_html__('Upload your logo.', 'laundryes'),
                        'subtitle' => esc_html__('Recommended size: Height: 80px and Width: 200px', 'laundryes'),
                        'default' => array('url' => get_template_directory_uri().'/images/logo_blue.png'),
                    ),	
					array(
                        'id' => 'flogo',
                        'type' => 'media',
                        'url' => true,
                        'title' => esc_html__('Footer Logo', 'laundryes'),
                        'compiler' => 'true',
                        //'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
                        'desc' => esc_html__('Upload your logo.', 'laundryes'),
                        'subtitle' => esc_html__('Recommended size: Height: 80px and Width: 200px', 'laundryes'),
                        'default' => array('url' => get_template_directory_uri().'/images/logo_blue.png'),
                    ),		
                )
            ));

        Redux::setSection( $opt_name,array(
                    'icon' => ' el-icon-picture',
                    'title' => esc_html__('Page Header Background', 'laundryes'),
                    'fields' => array(
                        array(
                            'id' => 'phbg',
                            'type' => 'media',
                            'url' => true,
                            'title' => esc_html__('Page header background', 'laundryes'),
                            'compiler' => 'true',
                            //'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
                            'desc' => esc_html__('Upload your image.', 'laundryes'),
                            
                            'default' => array('url' => get_template_directory_uri().'/images/slide_page.jpg'),
                            ),
                                
                        )
                    ));
            
            Redux::setSection( $opt_name,array(
                'icon' => 'el-icon-website',
                'title' => esc_html__('Contact Page', 'laundryes'),
                'fields' => array(
                    array(
                        'id' => 'title',
                        'type' => 'text',
                        'url' => true,
                        'title' => esc_html__('Title', 'laundryes'),
                        
                        'default' => 'CONTACT CLUB',
                    ),
                    array(
                        'id' => 'subtitle',
                        'type' => 'text',
                        'url' => true,
                        'title' => esc_html__('Sub Title', 'laundryes'),
                        
                        'default' => 'This our Head Office contact about Club, Ticket, Our Store and Our Media.',
                    ),
                    array(
                        'id' => 'lat',
                        'type' => 'text',
                        'url' => true,
                        'title' => esc_html__('Latitude', 'laundryes'),
                        
                        'default' => '-7.452278',
                    ),
                    array(
                        'id' => 'lng',
                        'type' => 'text',
                        'url' => true,
                        'title' => esc_html__('Longitude', 'laundryes'),
                        
                        'default' => '112.708992',
                    ),
                    array(
                        'id' => 'contactform',
                        'type' => 'text',
                        'url' => true,
                        'title' => esc_html__('Contact From 7 shortcode', 'laundryes'),
                        
                        'default' => '',
                    ),
                     array(
                        'id' => 'address1',
                        'type' => 'text',
                        'url' => true,
                        'title' => esc_html__('address1', 'laundryes'),
                        
                        'default' => '4125 Tuah Karya, Panam,<br />
                                        Pekanbaru<br />
                                        Riau 28292',
                    ),
                    array(
                        'id' => 'address2',
                        'type' => 'text',
                        'url' => true,
                        'title' => esc_html__('address', 'laundryes'),
                        
                        'default' => '4125 Tuah Karya, Panam,<br />
                                        Pekanbaru<br />
                                        Riau 28292',
                    ),
                    array(
                        'id' => 'openinghours',
                        'type' => 'text',
                        'url' => true,
                        'title' => esc_html__('Timing', 'laundryes'),
                        
                        'default' => 'SUN - MON &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 09:00 - 22:00<br />
                                        FRIDAY  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; We Closed',
                    ),
                )
            ));
            
            Redux::setSection( $opt_name,array(
                'icon' => ' el-icon-credit-card',
                'title' => esc_html__('Footer Settings', 'laundryes'),
                'fields' => array(	
					array(
                        'id' => 'footer_text',
                        'type' => 'editor',
                        'title' => esc_html__('Footer Text', 'laundryes'),
                        'subtitle' => esc_html__('Copyright Text', 'laundryes'),
                        'default' => '© 2016 laundryes by JK Themes - All Rights Reserved',
                    ),
					array(
                         'id' => 'ContactNO',
                        'type' => 'text',
                        'title' => esc_html__('Contact NO', 'laundryes'),
                        
                        'default' => ''
                    ),
					array(
                        'id' => 'address',
                        'type' => 'text',
                        'title' => esc_html__('Address', 'laundryes'),
                        
                        'default' => '80 sukarajin street Pekanbaru 40021 Riau'
                    ), 
					array(
                        'id' => 'FEmail',
                        'type' => 'text',
                        'title' => esc_html__('Support Email', 'laundryes'),
                        
                        'default' => 'support@laundryes.com'
                    ), array(
                        'id' => 'website',
                        'type' => 'text',
                        'title' => esc_html__('Home URL', 'laundryes'),
						
                        'default' => ''
                    ),
                    array(
                    'id'       => 'opt-gallery',
                    'type'     => 'gallery',
                    'title'    => esc_html__('Add/Edit Clients', 'laundryes'),
                    'subtitle' => esc_html__('Add clients images', 'laundryes'),
                   
                )
							
				)
			));
            
            Redux::setSection( $opt_name,array(
                'icon' => 'el-icon-website',
                'title' => esc_html__('Styling Options', 'laundryes'),
                'fields' => array(
                    array(
                        'id' => 'main-color',
                        'type' => 'color',
                        'title' => esc_html__('Theme Main Color', 'laundryes'),
                        'subtitle' => esc_html__('Pick the main color for the theme (default: #f00).', 'laundryes'),
                        'default' => '#29ABE2',
                        'validate' => 'color',
                    ),	
					 array(
                        'id' => 'main-color-2',
                        'type' => 'color',
                        'title' => esc_html__('Theme Main Color 2', 'laundryes'),
                        'subtitle' => esc_html__('Pick the 2nd main color for the theme (default: #000).', 'laundryes'),
                        'default' => '#0071BC',
                        'validate' => 'color',
                    ),	
                    array(
                        'id' => 'background-footer',
                        'type' => 'color',
                        'title' => esc_html__('Footer Background Color', 'laundryes'),
                        'subtitle' => esc_html__('Pick a background color for the footer (default: #252525).', 'laundryes'),
                        'default' => '#252525',
                        'validate' => 'color',
                    ),
					array(
                        'id' => 'color-footer',
                        'type' => 'color',
                        'title' => esc_html__('Footer  Color', 'laundryes'),
                        'subtitle' => esc_html__('Pick a  color for the footer (default: #999999).', 'laundryes'),
                        'default' => '#999999',
                        'validate' => 'color',
                    ),
                    
                    array(
                        'id' => 'body-font2',
                        'type' => 'typography',
						'output' => array('body'),
                        'title' => esc_html__('Body Font', 'laundryes'),
                        'subtitle' => esc_html__('Specify the body font properties.', 'laundryes'),
                        'google' => true,
                        'default' => array(
                            'color' => '#666666',
                            'font-size' => '13px',
                            'line-height' => '24px',
                            'font-family' => 'Raleway',
							'font-weight' => '400'
                        ),
                    )
                )
            ));
            
           
       

/*
 * @package     WBC_Importer - Extension for Importing demo content
 * @author      Webcreations907
 * @version     1.0
 */


/************************************************************************
* Importer will auto load, there is no settings required to put in your
* Reduxframework config file.
*
* BUT- If you want to put the demo importer in a different position on 
* the panel, use the below within your config for Redux.
************************************************************************
Redux::setSection( $opt_name,array(
                 'id' => 'wbc_importer_section',
                 'title'  => esc_html__( 'Demo Content', 'framework' ),
                 'desc'   => esc_html__( 'Description Goes Here', 'framework' ),
                 'icon'   => 'el-icon-website',
                 'fields' => array(
                                 array(
                                     'id'   => 'wbc_demo_importer',
                                     'type' => 'wbc_importer'
                                     )
                             )
                 ));

/************************************************************************
* Example functions/filters
*************************************************************************/
if ( !function_exists( 'wbc_after_content_import' ) ) {

    /**
     * Function/action ran after import of content.xml file
     *
     * @param (array) $demo_active_import       Example below
     * [wbc-import-1] => Array
     *      (
     *            [directory] => current demo data folder name
     *            [content_file] => content.xml
     *            [image] => screen-image.png
     *            [theme_options] => theme-options.txt
     *            [widgets] => widgets.json
     *            [imported] => imported
     *        )
     * @param (string) $demo_data_directory_path path to current demo folder being imported.
     *
     */

    function wbc_after_content_import( $demo_active_import , $demo_data_directory_path ) {
        //Do something
    }

    // Uncomment the below
    // add_action( 'wbc_importer_after_content_import', 'wbc_after_content_import', 10, 2 );
}

if ( !function_exists( 'wbc_filter_title' ) ) {

    /**
     * Filter for changing demo title in options panel so it's not folder name.
     *
     * @param [string] $title name of demo data folder
     *
     * @return [string] return title for demo name.
     */

    function wbc_filter_title( $title ) {
        return trim( ucfirst( str_replace( "-", " ", $title ) ) );
    }

    // Uncomment the below
    // add_filter( 'wbc_importer_directory_title', 'wbc_filter_title', 10 );
}

if ( !function_exists( 'wbc_importer_description_text' ) ) {

    /**
     * Filter for changing importer description info in options panel
     * when not setting in Redux config file.
     *
     * @param [string] $title description above demos
     *
     * @return [string] return.
     */

    function wbc_importer_description_text( $description ) {

        $message = '<p>'. esc_html__( 'Best if used on new WordPress install.', 'framework' ) .'</p>';
        $message .= '<p>'. esc_html__( 'Images are for demo purpose only.', 'framework' ) .'</p>';

        return $message;
    }

    // Uncomment the below
    // add_filter( 'wbc_importer_description', 'wbc_importer_description_text', 10 );
}

if ( !function_exists( 'wbc_importer_label_text' ) ) {

    /**
     * Filter for changing importer label/tab for redux section in options panel
     * when not setting in Redux config file.
     *
     * @param [string] $title label above demos
     *
     * @return [string] return no html
     */

    function wbc_importer_label_text( $label_text ) {

        $label_text = 'WBC Importer';

        return $label_text;
    }

    // Uncomment the below
    // add_filter( 'wbc_importer_label', 'wbc_importer_label_text', 10 );
}

if ( !function_exists( 'wbc_change_demo_directory_path' ) ) {

    /**
     * Change the path to the directory that contains demo data folders.
     *
     * @param [string] $demo_directory_path
     *
     * @return [string]
     */

    function wbc_change_demo_directory_path( $demo_directory_path ) {

        //$demo_directory_path = get_template_directory().'/demo-data/';

        return $demo_directory_path;

    }

    // Uncomment the below
    // add_filter('wbc_importer_dir_path', 'wbc_change_demo_directory_path' );
}

if ( !function_exists( 'wbc_importer_before_widget' ) ) {

    /**
     * Function/action ran before widgets get imported
     *
     * @param (array) $demo_active_import       Example below
     * [wbc-import-1] => Array
     *      (
     *            [directory] => current demo data folder name
     *            [content_file] => content.xml
     *            [image] => screen-image.png
     *            [theme_options] => theme-options.txt
     *            [widgets] => widgets.json
     *            [imported] => imported
     *        )
     * @param (string) $demo_data_directory_path path to current demo folder being imported.
     *
     * @return nothing
     */

    function wbc_importer_before_widget( $demo_active_import , $demo_data_directory_path ) {

        //Do Something

    }

    // Uncomment the below
    // add_action('wbc_importer_before_widget_import', 'wbc_importer_before_widget', 10, 2 );
}

if ( !function_exists( 'wbc_after_theme_options' ) ) {

    /**
     * Function/action ran after theme options set
     *
     * @param (array) $demo_active_import       Example below
     * [wbc-import-1] => Array
     *      (
     *            [directory] => current demo data folder name
     *            [content_file] => content.xml
     *            [image] => screen-image.png
     *            [theme_options] => theme-options.txt
     *            [widgets] => widgets.json
     *            [imported] => imported
     *        )
     * @param (string) $demo_data_directory_path path to current demo folder being imported.
     *
     * @return nothing
     */

    function wbc_after_theme_options( $demo_active_import , $demo_data_directory_path ) {

        //Do Something

    }

    // Uncomment the below
    // add_action('wbc_importer_after_theme_options_import', 'wbc_after_theme_options', 10, 2 );
}


/************************************************************************
* Extended Example:
* Way to set menu, import revolution slider, and set home page.
*************************************************************************/

if ( !function_exists( 'wbc_extended_example' ) ) {
    function wbc_extended_example( $demo_active_import , $demo_directory_path ) {

        reset( $demo_active_import );
        $current_key = key( $demo_active_import );

        /************************************************************************
        * Import slider(s) for the current demo being imported
        *************************************************************************/

        if ( class_exists( 'RevSlider' ) ) {

            //If it's demo3 or demo5
            $wbc_sliders_array = array(
                'demo3' => 'someslidername.zip', //Set slider zip name
                'demo5' => 'anotherslider.zip', //Set slider zip name
            );

            if ( isset( $demo_active_import[$current_key]['directory'] ) && !empty( $demo_active_import[$current_key]['directory'] ) && array_key_exists( $demo_active_import[$current_key]['directory'], $wbc_sliders_array ) ) {
                $wbc_slider_import = $wbc_sliders_array[$demo_active_import[$current_key]['directory']];

                if ( file_exists( $demo_directory_path.$wbc_slider_import ) ) {
                    $slider = new RevSlider();
                    $slider->importSliderFromPost( true, true, $demo_directory_path.$wbc_slider_import );
                }
            }
        }

        /************************************************************************
        * Setting Menus
        *************************************************************************/

        // If it's demo1 - demo6
        $wbc_menu_array = array( 'demo1', 'demo2', 'demo3', 'demo4', 'demo5', 'demo6' );

        if ( isset( $demo_active_import[$current_key]['directory'] ) && !empty( $demo_active_import[$current_key]['directory'] ) && in_array( $demo_active_import[$current_key]['directory'], $wbc_menu_array ) ) {
            $top_menu = get_term_by( 'name', 'Temp Menu', 'nav_menu' );

            if ( isset( $top_menu->term_id ) ) {
                set_theme_mod( 'nav_menu_locations', array(
                        'theme-primary' => $top_menu->term_id,
                        'theme-footer'  => $top_menu->term_id
                    )
                );
            }

        }

        /************************************************************************
        * Set HomePage
        *************************************************************************/

        // array of demos/homepages to check/select from
        $wbc_home_pages = array(
            'demo1' => 'Home Page v1',
            'demo2' => 'Home Page v2',
            'demo3' => 'Home Page v3',
            'demo4' => 'Home Page v4',
            'demo5' => 'Home Page v5',
            'demo6' => 'Home Page v6',
        );

        if ( isset( $demo_active_import[$current_key]['directory'] ) && !empty( $demo_active_import[$current_key]['directory'] ) && array_key_exists( $demo_active_import[$current_key]['directory'], $wbc_home_pages ) ) {
            $page = get_page_by_title( $wbc_home_pages[$demo_active_import[$current_key]['directory']] );
            if ( isset( $page->ID ) ) {
                update_option( 'page_on_front', $page->ID );
                update_option( 'show_on_front', 'page' );
            }
        }

    }


    // Uncomment the below
    // add_action( 'wbc_importer_after_content_import', 'wbc_extended_example', 10, 2 );
}

